diff --git a/pom.xml b/pom.xml
index 1e31268..eca52d5 100644
--- a/pom.xml
+++ b/pom.xml
@@ -32,26 +32,14 @@
     </dependencies>
 
     <build>
-        <resources>
-            <resource>
-                <directory>${basedir}/src/main/java</directory>
-                <filtering>false</filtering>
-                <includes>
-                    <include>**</include>
-                </includes>
-                <excludes>
-                    <exclude>**/*.java</exclude>
-                </excludes>
-            </resource>
-        </resources>
         <plugins>
             <plugin>
                 <groupId>org.apache.maven.plugins</groupId>
                 <artifactId>maven-compiler-plugin</artifactId>
                 <version>3.1</version>
                 <configuration>
-                    <source>1.8</source>
-                    <target>1.8</target>
+                    <source>1.7</source>
+                    <target>1.7</target>
                 </configuration>
             </plugin>
             <plugin>
@@ -70,4 +58,4 @@
             </plugin>
         </plugins>
     </build>
-</project>
\ No newline at end of file
+</project>
diff --git a/src/main/java/sample/SampleStory.java b/src/main/java/sample/SampleStory.java
index 0f31b6c..8a6ce31 100644
--- a/src/main/java/sample/SampleStory.java
+++ b/src/main/java/sample/SampleStory.java
@@ -12,6 +12,7 @@ import org.jbehave.core.reporters.Format;
 import org.jbehave.core.reporters.StoryReporterBuilder;
 import org.jbehave.core.steps.InjectableStepsFactory;
 import org.jbehave.core.steps.InstanceStepsFactory;
+import org.jbehave.core.steps.MarkUnmatchedStepsAsPending;
 import org.jbehave.core.steps.ParameterConverters;
 
 import java.util.Locale;
@@ -22,6 +23,7 @@ public class SampleStory extends JUnitStory {
         return cfg
                 .useKeywords(keywords)
                 .useStoryParser(new RegexStoryParser(keywords))
+                .useStepCollector(new MarkUnmatchedStepsAsPending(keywords))
                 .useDefaultStoryReporter(new ConsoleOutput(keywords))
                 .useParameterConverters(
                         cfg.parameterConverters().addConverters(
